using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Dto.Activity;

public class CRMRetrieveActivityRequestDTO
{
    [JsonPropertyName("dateFilter")]
    public string? DateFilter { get; set; }

    [JsonPropertyName("activityId")]
    public string? ActivityId { get; set; }

    [JsonPropertyName("codAnag")]
    public string? CodAnag { get; set; }

    [JsonPropertyName("codJcom")]
    public string? CodJcom { get; set; }

    [JsonPropertyName("startDate")]
    public DateTime? StarDate { get; set; }

    [JsonPropertyName("endDate")]
    public DateTime? EndDate { get; set; }
}